:
# putnews.sh -- write one rnews file

set -x

for name in $*
do
	if [ ! -f "$name" ]
	then
		echo "$0: Warning: $name not found"
	else
		ls -l "$name"
		case "$name" in
		rnews-*) new_name="$name" ;;
		*)	new_name="rnews-`date +%Y%m%d%H%M%S`-0" ;;
		esac
		if uucp -C -d -n william "$name" \
owl486\!/usr/spool/uucppublic/news/$new_name
		then
			echo "uucp ok"
		else
			echo "$0: Error: uucp failed"
		fi
	fi
done
